Assignments Assignments

Public Attributes | List of all members
jpeg_compress_struct Struct Reference

`#include <jpeglib.h>`

## Public Attributes
| jpeg_common_fields
struct jpeg_destination_mgr * | dest
JDIMENSION | image_width
JDIMENSION | image_height
int | input_components
J_COLOR_SPACE | in_color_space
double | input_gamma
int | data_precision
int | num_components
J_COLOR_SPACE | jpeg_color_space
jpeg_component_info * | comp_info
JQUANT_TBL * | quant_tbl_ptrs [NUM_QUANT_TBLS]
JHUFF_TBL * | dc_huff_tbl_ptrs [NUM_HUFF_TBLS]
JHUFF_TBL * | ac_huff_tbl_ptrs [NUM_HUFF_TBLS]
UINT8 | arith_dc_L [NUM_ARITH_TBLS]
UINT8 | arith_dc_U [NUM_ARITH_TBLS]
UINT8 | arith_ac_K [NUM_ARITH_TBLS]
int | num_scans
const jpeg_scan_info * | scan_info
boolean | raw_data_in
boolean | arith_code
boolean | optimize_coding
boolean | CCIR601_sampling
int | smoothing_factor
J_DCT_METHOD | dct_method
unsigned int | restart_interval
int | restart_in_rows
boolean | write_JFIF_header
UINT8 | JFIF_major_version
UINT8 | JFIF_minor_version
UINT8 | density_unit
UINT16 | X_density
UINT16 | Y_density
boolean | write_Adobe_marker
JDIMENSION | next_scanline
boolean | progressive_mode
int | max_h_samp_factor
int | max_v_samp_factor
JDIMENSION | total_iMCU_rows
int | comps_in_scan
jpeg_component_info * | cur_comp_info [MAX_COMPS_IN_SCAN]
JDIMENSION | MCUs_per_row
JDIMENSION | MCU_rows_in_scan
int | blocks_in_MCU
int | MCU_membership [C_MAX_BLOCKS_IN_MCU]
int | Ss
int | Se
int | Ah
int | Al
struct jpeg_comp_master * | master
struct jpeg_c_main_controller * | main
struct jpeg_c_prep_controller * | prep
struct jpeg_c_coef_controller * | coef
struct jpeg_marker_writer * | marker
struct jpeg_color_converter * | cconvert
struct jpeg_downsampler * | downsample
struct jpeg_forward_dct * | fdct
struct jpeg_entropy_encoder * | entropy
jpeg_scan_info * | script_space
int | script_space_size

## Member Data Documentation

## ◆ ac_huff_tbl_ptrs

JHUFF_TBL* jpeg_compress_struct::ac_huff_tbl_ptrs[NUM_HUFF_TBLS]

## ◆ Ah

int jpeg_compress_struct::Ah

## ◆ Al

int jpeg_compress_struct::Al

## ◆ arith_ac_K

UINT8 jpeg_compress_struct::arith_ac_K[NUM_ARITH_TBLS]

## ◆ arith_code

boolean jpeg_compress_struct::arith_code

## ◆ arith_dc_L

UINT8 jpeg_compress_struct::arith_dc_L[NUM_ARITH_TBLS]

## ◆ arith_dc_U

UINT8 jpeg_compress_struct::arith_dc_U[NUM_ARITH_TBLS]

## ◆ blocks_in_MCU

int jpeg_compress_struct::blocks_in_MCU

## ◆ CCIR601_sampling

boolean jpeg_compress_struct::CCIR601_sampling

## ◆ cconvert

struct jpeg_color_converter* jpeg_compress_struct::cconvert

## ◆ coef

struct jpeg_c_coef_controller* jpeg_compress_struct::coef

## ◆ comp_info

jpeg_component_info* jpeg_compress_struct::comp_info

## ◆ comps_in_scan

int jpeg_compress_struct::comps_in_scan

## ◆ cur_comp_info

jpeg_component_info* jpeg_compress_struct::cur_comp_info[MAX_COMPS_IN_SCAN]

## ◆ data_precision

int jpeg_compress_struct::data_precision

## ◆ dc_huff_tbl_ptrs

JHUFF_TBL* jpeg_compress_struct::dc_huff_tbl_ptrs[NUM_HUFF_TBLS]

## ◆ dct_method

J_DCT_METHOD jpeg_compress_struct::dct_method

## ◆ density_unit

UINT8 jpeg_compress_struct::density_unit

## ◆ dest

struct jpeg_destination_mgr* jpeg_compress_struct::dest

## ◆ downsample

struct jpeg_downsampler* jpeg_compress_struct::downsample

## ◆ entropy

struct jpeg_entropy_encoder* jpeg_compress_struct::entropy

## ◆ fdct

struct jpeg_forward_dct* jpeg_compress_struct::fdct

## ◆ image_height

JDIMENSION jpeg_compress_struct::image_height

## ◆ image_width

JDIMENSION jpeg_compress_struct::image_width

## ◆ in_color_space

J_COLOR_SPACE jpeg_compress_struct::in_color_space

## ◆ input_components

int jpeg_compress_struct::input_components

## ◆ input_gamma

double jpeg_compress_struct::input_gamma

## ◆ JFIF_major_version

UINT8 jpeg_compress_struct::JFIF_major_version

## ◆ JFIF_minor_version

UINT8 jpeg_compress_struct::JFIF_minor_version

## ◆ jpeg_color_space

J_COLOR_SPACE jpeg_compress_struct::jpeg_color_space

## ◆ jpeg_common_fields

jpeg_compress_struct::jpeg_common_fields

## ◆ main

struct jpeg_c_main_controller* jpeg_compress_struct::main

## ◆ marker

struct jpeg_marker_writer* jpeg_compress_struct::marker

## ◆ master

struct jpeg_comp_master* jpeg_compress_struct::master

## ◆ max_h_samp_factor

int jpeg_compress_struct::max_h_samp_factor

## ◆ max_v_samp_factor

int jpeg_compress_struct::max_v_samp_factor

## ◆ MCU_membership

int jpeg_compress_struct::MCU_membership[C_MAX_BLOCKS_IN_MCU]

## ◆ MCU_rows_in_scan

JDIMENSION jpeg_compress_struct::MCU_rows_in_scan

## ◆ MCUs_per_row

JDIMENSION jpeg_compress_struct::MCUs_per_row

## ◆ next_scanline

JDIMENSION jpeg_compress_struct::next_scanline

## ◆ num_components

int jpeg_compress_struct::num_components

## ◆ num_scans

int jpeg_compress_struct::num_scans

## ◆ optimize_coding

boolean jpeg_compress_struct::optimize_coding

## ◆ prep

struct jpeg_c_prep_controller* jpeg_compress_struct::prep

## ◆ progressive_mode

boolean jpeg_compress_struct::progressive_mode

## ◆ quant_tbl_ptrs

JQUANT_TBL* jpeg_compress_struct::quant_tbl_ptrs[NUM_QUANT_TBLS]

## ◆ raw_data_in

boolean jpeg_compress_struct::raw_data_in

## ◆ restart_in_rows

int jpeg_compress_struct::restart_in_rows

## ◆ restart_interval

unsigned int jpeg_compress_struct::restart_interval

## ◆ scan_info

const jpeg_scan_info* jpeg_compress_struct::scan_info

## ◆ script_space

jpeg_scan_info* jpeg_compress_struct::script_space

## ◆ script_space_size

int jpeg_compress_struct::script_space_size

## ◆ Se

int jpeg_compress_struct::Se

## ◆ smoothing_factor

int jpeg_compress_struct::smoothing_factor

## ◆ Ss

int jpeg_compress_struct::Ss

## ◆ total_iMCU_rows

JDIMENSION jpeg_compress_struct::total_iMCU_rows

## ◆ write_Adobe_marker

boolean jpeg_compress_struct::write_Adobe_marker

## ◆ write_JFIF_header

boolean jpeg_compress_struct::write_JFIF_header

## ◆ X_density

UINT16 jpeg_compress_struct::X_density

## ◆ Y_density

UINT16 jpeg_compress_struct::Y_density

The documentation for this struct was generated from the following file:

- Assignments/JPEG/jpeglib.h